---
lang: en
title: 'API docs: tsdocs.runextractorforpackage'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/tsdocs
permalink: /doc/en/lb4/apidocs.tsdocs.runextractorforpackage.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/tsdocs](./tsdocs.md) &gt; [runExtractorForPackage](./tsdocs.runextractorforpackage.md)

## runExtractorForPackage() function

<b>Signature:</b>

```typescript
export declare function runExtractorForPackage(pkgDir?: string, options?: ExtractorOptions): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  pkgDir | string |  |
|  options | [ExtractorOptions](./tsdocs.extractoroptions.md) |  |

<b>Returns:</b>

void


